<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>S-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="../queries/Search.html" title="class in queries"><span class="typeNameLink">Search</span></a> - Class in <a href="../queries/package-summary.html">queries</a></dt>
<dd>
<div class="block">Represents the search part of the request.</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Search.html#Search--">Search()</a></span> - Constructor for class queries.<a href="../queries/Search.html" title="class in queries">Search</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Search.html#Search-java.lang.String-java.lang.String-int-int-java.util.List-queries.Source-java.util.List-queries.QueryType-">Search(String, String, int, int, List&lt;Sort&gt;, Source, List&lt;AggregationType&gt;, QueryType)</a></span> - Constructor for class queries.<a href="../queries/Search.html" title="class in queries">Search</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/SearchException.html" title="class in queries"><span class="typeNameLink">SearchException</span></a> - Exception in <a href="../queries/package-summary.html">queries</a></dt>
<dd>
<div class="block">Represents a Search specific exception</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/SearchException.html#SearchException--">SearchException()</a></span> - Constructor for exception queries.<a href="../queries/SearchException.html" title="class in queries">SearchException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/SearchException.html#SearchException-java.lang.String-">SearchException(String)</a></span> - Constructor for exception queries.<a href="../queries/SearchException.html" title="class in queries">SearchException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Source.html#setFetchSource-org.elasticsearch.search.builder.SearchSourceBuilder-">setFetchSource(SearchSourceBuilder)</a></span> - Method in class queries.<a href="../queries/Source.html" title="class in queries">Source</a></dt>
<dd>
<div class="block">Sets the includes/excludes to the source builder provided.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeElement.html#setRange-org.elasticsearch.search.aggregations.bucket.range.RangeAggregationBuilder-">setRange(RangeAggregationBuilder)</a></span> - Method in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs">RangeElement</a></dt>
<dd>
<div class="block">Sets range element for a range aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeElement.html#setRange-org.elasticsearch.search.aggregations.bucket.range.DateRangeAggregationBuilder-">setRange(DateRangeAggregationBuilder)</a></span> - Method in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs">RangeElement</a></dt>
<dd>
<div class="block">Sets range element for a date_range aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeElement.html#setRange-org.elasticsearch.search.aggregations.bucket.range.IpRangeAggregationBuilder-">setRange(IpRangeAggregationBuilder)</a></span> - Method in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs">RangeElement</a></dt>
<dd>
<div class="block">Sets range element for a ip_range aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocCreateRequest.html#setRequest--">setRequest()</a></span> - Method in class docrequests.<a href="../docrequests/DocCreateRequest.html" title="class in docrequests">DocCreateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocDeleteRequest.html#setRequest--">setRequest()</a></span> - Method in class docrequests.<a href="../docrequests/DocDeleteRequest.html" title="class in docrequests">DocDeleteRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#setRequest--">setRequest()</a></span> - Method in class docrequests.<a href="../docrequests/DocUpdateRequest.html" title="class in docrequests">DocUpdateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/Request.html#setRequest--">setRequest()</a></span> - Method in interface docrequests.<a href="../docrequests/Request.html" title="interface in docrequests">Request</a></dt>
<dd>
<div class="block">Sets the request with the provided fields</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#setRequestFile-java.lang.String-">setRequestFile(String)</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></dt>
<dd>
<div class="block">Sets the path of the file containing the request</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClientResponse.html#setSearchResponse-java.lang.String-">setSearchResponse(String)</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClientResponse.html" title="class in elasticclient">ElasticClientResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationType.html#setType-java.lang.String-">setType(String)</a></span> - Method in class aggregations.<a href="../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/Sort.html" title="class in queries"><span class="typeNameLink">Sort</span></a> - Class in <a href="../queries/package-summary.html">queries</a></dt>
<dd>
<div class="block">Represents the sorting element for the query</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Sort.html#Sort--">Sort()</a></span> - Constructor for class queries.<a href="../queries/Sort.html" title="class in queries">Sort</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Sort.html#Sort-java.lang.String-java.lang.String-">Sort(String, String)</a></span> - Constructor for class queries.<a href="../queries/Sort.html" title="class in queries">Sort</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/Source.html" title="class in queries"><span class="typeNameLink">Source</span></a> - Class in <a href="../queries/package-summary.html">queries</a></dt>
<dd>
<div class="block">Represents the source filtering</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Source.html#Source--">Source()</a></span> - Constructor for class queries.<a href="../queries/Source.html" title="class in queries">Source</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Source.html#Source-java.lang.String:A-java.lang.String:A-">Source(String[], String[])</a></span> - Constructor for class queries.<a href="../queries/Source.html" title="class in queries">Source</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
